## DmapMdnsService

DmapMdnsService — An mDNS service.

## Properties

char * | host | Read / Write
char * | name | Read / Write
char * | pair | Read / Write
gboolean | password-protected | Read / Write
guint | port | Read / Write
char * | service-name | Read / Write
guint | transport-protocol | Read / Write

## Types and Values

enum | DmapMdnsServiceType
enum | DmapMdnsServiceTransportProtocol

## Object Hierarchy

        GEnum
        ├── DmapMdnsServiceTransportProtocol
        ╰── DmapMdnsServiceType
        GObject
        ╰── DmapMdnsService

## Description

DmapMdnsService objects advertise DMAP shares.

## Functions

## Types and Values

### enum DmapMdnsServiceType

Enum values used to specify the service type.

#### Members

DMAP_MDNS_SERVICE_TYPE_INVALID | an invalid service type |
DMAP_MDNS_SERVICE_TYPE_DAAP | a DAAP service type |
DMAP_MDNS_SERVICE_TYPE_DPAP | a DPAP service type |
DMAP_MDNS_SERVICE_TYPE_DACP | a DACP service type |
DMAP_MDNS_SERVICE_TYPE_RAOP | a RAOP service type |
DMAP_MDNS_SERVICE_TYPE_LAST | an invalid service type |

### enum DmapMdnsServiceTransportProtocol

#### Members

DMAP_MDNS_SERVICE_TRANSPORT_PROTOCOL_TCP |  |
DMAP_MDNS_SERVICE_TRANSPORT_PROTOCOL_UDP |  |
DMAP_MDNS_SERVICE_TRANSPORT_PROTOCOL_LAST |  |

## Property Details

### The `“host”` property

      “host”                     char *

Host.

Owner: DmapMdnsService

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     char *

Name.

Owner: DmapMdnsService

Flags: Read / Write

Default value: NULL

### The `“pair”` property

      “pair”                     char *

Pair.

Owner: DmapMdnsService

Flags: Read / Write

Default value: NULL

### The `“password-protected”` property

      “password-protected”       gboolean

Password Protected.

Owner: DmapMdnsService

Flags: Read / Write

Default value: FALSE

### The `“port”` property

      “port”                     guint

Port.

Owner: DmapMdnsService

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

### The `“service-name”` property

      “service-name”             char *

Service Name.

Owner: DmapMdnsService

Flags: Read / Write

Default value: NULL

### The `“transport-protocol”` property

      “transport-protocol”       guint

Transport Protocol.

Owner: DmapMdnsService

Flags: Read / Write

Allowed values: <= 1

Default value: 0